### Constructor

# Gtk TextChildAnchor new

#### Declaration [src]

    GtkTextChildAnchor*
    gtk_text_child_anchor_new (
      void
    )

#### Description [src]

Creates a new `GtkTextChildAnchor`.

Usually you would then insert it into a `GtkTextBuffer` with gtk_text_buffer_insert_child_anchor(). To perform the creation and insertion in one step, use the convenience function gtk_text_buffer_create_child_anchor().

#### Return value

Returns: | `GtkTextChildAnchor`
| A new `GtkTextChildAnchor`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.